# msdfgen-builder

Dockerised msdf-atlas-gen

## What?

This repository proivdes an isolated build of msdfgen that you can `COPY` in another dockerfile, saving you build time.

x84 and arm64 builds are provided seperatly - specify `-arm64` at the end of the image tag to get the arm64 build, or use `:arm64` as the whole tag
for the arm64 version of `:latest`

## Usage

### From the command line

You can use the docker image to run msdfgen locally without installing / buildling all of the dependencies. The base command is:

```
docker run --rm --name msdf-atlas-gen r.lcr.gr/microhacks/msdfgen-builder:latest [your arguments go here]
```

But it's recommended to add an alias to your environment, so that you can run the command more easily. Something like:

```
alias msdf-atlas-gen='docker run --rm --name msdf-atlas-gen r.lcr.gr/microhacks/msdfgen-builder:latest'
```

### In a Dockerfile

You can copy the binary into your dockerfile for easy usage. Just import it at the top with an alias, and you can later `COPY` from it:

```Dockerfile
FROM r.lcr.gr/microhacks/msdfgen-builder:latest as msdfgen
FROM debian

COPY --from=msdfgen /usr/bin/msdf-atlas-gen /usr/bin/msdf-atlas-gen
RUN msdfgen --my --args
```